%bcond_with tests

Summary:        Localization support for DateTime.pm
Name:           perl-DateTime-Locale
Version:        1.35
Release:        5%{?dist}
License:        (GPL+ or Artistic) and Unicode
URL:            https://metacpan.org/release/DateTime-Locale
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/DateTime-Locale-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils, make, perl-generators, perl-interpreter, perl(Config), perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::ShareDir::Install) >= 0.06, perl(strict), perl(warnings)
# Runtime
BuildRequires:  perl(Carp), perl(Exporter), perl(File::ShareDir), perl(List::Util) >= 1.45, perl(namespace::autoclean) >= 0.19
BuildRequires:  perl(Params::ValidationCompiler) >= 0.13, perl(Specio::Declare), perl(Specio::Library::String)
# Tests only
%if %{with tests}
BuildRequires:  perl(base), perl(File::Spec), perl(File::Temp), perl(IPC::System::Simple), perl(Path::Tiny), perl(Test::File::ShareDir::Dist)
BuildRequires:  perl(Test::More) >= 0.96, perl(Test2::Plugin::UTF8), perl(Test2::Plugin::NoWarnings), perl(Test2::Require::Module), perl(Test2::V0), perl(utf8)
%endif
# Optional tests:
BuildRequires:  perl(CPAN::Meta) >= 2.120900, perl(CPAN::Meta::Check) >= 0.011, perl(CPAN::Meta::Prereqs), perl(CPAN::Meta::Requirements), perl(Storable)
Requires:       perl(Dist::CheckConflicts) >= 0.02

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Dist::CheckConflicts\\)$

%description
DateTime::Locale is primarily a factory for the various locale subclasses. It
also provides some functions for getting information on all the available locales.

If you want to know what methods are available for locale objects, then please
read the DateTime::Locale::FromData documentation.



%prep
%autosetup -n DateTime-Locale-%{version}

for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
%{make_install}
%{_fixperms} %{buildroot}/*



%check
%if %{with tests}
export HARNESS_OPTIONS=j$(nproc)
make test
%endif


%files
%license LICENSE LICENSE.cldr
%doc Changes CONTRIBUTING.md README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.35-5
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.35-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.35-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Shuo Wang <abushwang@tencent.com> - 1.35-2
- remove unused buildrequires

* Fri Aug 12 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.35-1
- Initial building.
